> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Agent

> Retrieve an agent by ID.



## OpenAPI

````yaml get /v1/agents/{agentId}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/agents/{agentId}:
    get:
      summary: Get an Agent
      description: Retrieve an agent by ID.
      operationId: Agents_get
      parameters:
        - name: agentId
          in: path
          description: The agent ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The agent.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agent'
components:
  schemas:
    Agent:
      description: >-
        A reusable agent. Referenced by `agentId` to apply a system prompt to
        every run that uses the agent.
      type: object
      properties:
        agentId:
          description: >-
            Unique identifier for the agent. Use this value as `agentId` when
            creating an agent run.
          type: string
        name:
          description: >-
            Human-readable name for the agent. Used to identify the agent in the
            dashboard and API responses.
          type: string
        systemPrompt:
          description: System prompt applied to every run that uses this agent.
          type: string
        resultSchema:
          description: >-
            [JSON Schema](https://json-schema.org/specification) that runs
            referencing this agent will aim to conform their `result` to. Can be
            overridden per run by passing `resultSchema` on the run request.
          type: object
          additionalProperties: true
          properties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - agentId
        - name
        - createdAt
        - updatedAt
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````